/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: IScanner.java 4389 2008-12-15 13:48:57Z alitokmen $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.scan.api;

import java.net.URL;
import java.util.List;
import java.util.Set;

import org.ow2.util.scan.api.configurator.IArchiveConfigurator;

/**
 * ArchiveScanner.
 * @author Gael Lalire
 */
public interface IScanner {


    /**
     * @param url the class url
     * @param archiveConfiguratorList configurators to call
     * @param referencedClasses this set is filled during analyze
     * @throws ScanException if error occurs
     */
    void scanClass(URL url, Set<String> referencedClasses, List<? extends IArchiveConfigurator> archiveConfiguratorList)
            throws ScanException;

}
